Bug 257783 - Drag and drop menu item on to desktop failed when path to *.desktop file contains international symbols
Summary: Drag and drop menu item on to desktop failed when path to *.desktop file cont...
Status: RESOLVED UNMAINTAINED
Alias: None
Product: plasma4
Classification: Unclassified
Component: widget-kickoff (show other bugs)
Version: unspecified
Platform: Gentoo Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-24 14:33 UTC by Eugeny Shkrigunov
Modified: 2018-09-04 19:14 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
solution (785 bytes, patch)
2010-11-24 14:33 UTC, Eugeny Shkrigunov
Details
fix (1.13 KB, patch)
2011-07-31 06:03 UTC, Eugeny Shkrigunov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eugeny Shkrigunov 2010-11-24 14:33:29 UTC
Created attachment 53690 [details]
solution

Version:           unspecified (using KDE 4.5.3) 
OS:                Linux

The installation program applications in the wine created desktop file "/home/eshkrig/.local/share/applications/wine/Программы/1C Предприятие 7.7/1С Предприятие Монопольно.desktop"
When you drag from the classic start menu on your desktop and create a symbolic link is replacing non-latin characters in a symbol '?'

Reproducible: Always




Problem subject to version 4.4.5, 4.5.3, possibly others
Comment 1 Giorgos Tsiapaliokas 2010-12-31 16:50:21 UTC
are u still facing the same issue?

if yes which kde version are u using?
Comment 2 Eugeny Shkrigunov 2011-01-01 20:03:31 UTC
(In reply to comment #1)
> are u still facing the same issue?
> 
> if yes which kde version are u using?

In the latest version (4.5.3) problem exists.
Comment 3 Eugeny Shkrigunov 2011-01-02 09:09:23 UTC
In an attachment, a trivial one-line patch - correcting erratum. Just accept it, please.
Comment 4 Giorgos Tsiapaliokas 2011-01-10 10:41:31 UTC
nice work thanks for the patch.

but i think that you should use http://reviewboard.kde.org/.
otherwise is very difficult for some1 with svn/git access to find your patch here.
Comment 5 Beat Wolf 2011-05-28 20:26:09 UTC
what happend to this patch? was it ever submitted? can this report be closed?
Comment 6 Eugeny Shkrigunov 2011-05-30 13:14:38 UTC
(In reply to comment #5)
> what happend to this patch? was it ever submitted? can this report be closed?

I got a notification that the patch is submitted, but in release 4.6.3 released it was not. Perhaps in the 4.6.4 release ...
Comment 7 Aaron J. Seigo 2011-05-30 14:16:36 UTC
Git commit ae705a81f33b87c14cfcafbd55a32c696b210209 by Aaron Seigo.
Committed on 30/05/2011 at 14:15.
Pushed by aseigo into branch 'master'.

do this properly (aka not using data())

BUG:257783

M  +4    -4    plasma/desktop/applets/kickoff/simpleapplet/menuview.cpp     

http://commits.kde.org/kde-workspace/ae705a81f33b87c14cfcafbd55a32c696b210209
Comment 8 Eugeny Shkrigunov 2011-07-10 06:57:25 UTC
or 4.6.4 or 4.6.5 does not contain this fix.
Please check.
Comment 9 Eugeny Shkrigunov 2011-07-31 06:03:50 UTC
Created attachment 62367 [details]
fix
Comment 10 Eugeny Shkrigunov 2011-07-31 06:04:27 UTC
In 4.7.0 is broken again.
Comment 11 Andrew Crouthamel 2018-09-04 19:14:30 UTC
Hello! Plasma 4 was replaced by Plasma 5 four years ago by the KDE community. In that time we have made great strides in stability and functionality. We are closing all Plasma 4 bugs as most of them are no longer applicable to the new frameworks Plasma 5 is built upon. If you could, please re-test with the latest version of Plasma 5, and submit a new bug to "plasmashell" if you continue to have an issue. Thank you!